package lt.bit.draudimas.constrains;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import javax.validation.Constraint;
import javax.validation.Payload;

@Documented
@Constraint(validatedBy = CarNumberValidator.class) 
@Target({ElementType.METHOD, ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface CarNumber {
	String message() default "Neteisingas automobilio numeris";
	Class<?>[] groups() default {};
	Class<? extends Payload>[] payload() default {};

}
